<?
  if ($yesplease!="") {
    setcookie("basket","$basket$item&");
    echo "<html><head><script
language=\"javascript\">
opener.document.shoppingcart.total.value = parseInt(opener.document.shoppingcart.total.value) + $price;
this.close();</script></head></html>";
  }

  if ($noplease!="") {
    echo "<html><head><script
language=\"javascript\">this.close();</script></head></html>";
  }

  // Open database...
  include "config.inc";
  $db = @mysql_connect("localhost", "$databaseuser", "$databasepasswd");
  @mysql_select_db("$databasename",$db);

  // Get the products name and price from the database...
  $sql="SELECT name, price FROM product WHERE productid='$QUERY_STRING'";
  $result = @mysql_query("$sql",$db);
  if (@mysql_num_rows($result) == 0) {
    echo "<html><head><title>Ошибка! Товара, который вы заказали нет в нашем 
	каталоге!</title></head>
	<body><h1>Ошибка!</h1><h2>Товара, который вы заказали нет в нашем каталоге!</h2></body></html>";
    exit();
  } else {
    $name = @mysql_result($result, 0, "name");
    $price = @mysql_result($result, 0, "price");
    echo "
	<html>
	<head><title>Вы хотите положить $name в вашу корзину?</title></head>
	<body bgcolor=\"#FFFFFF\" text=\"#000000\">
	<center>
	<font face=\"Arial, Helvetica, sans-serif\" size=\"3\">
	Вы хотите положить \"$name\", с ценой: $$price в вашу корзину?
	<form action=\"buy.php\" method=\"get\">
	<input type=\"hidden\" name=\"item\" value=\"$QUERY_STRING\">
        <input type=\"hidden\" name=\"price\" value=\"$price\">
	<input type=\"submit\" name=\"yesplease\" value=\"Да!\">
	<input type=\"submit\" name=\"noplease\" value=\"Нет!\">
	</form>
	</font>
	</body>
	</html>";
  }
?>
